io.undertow.server.handlers.proxy

## Class ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler

- java.lang.Object
- - io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler

All Implemented Interfaces:
  ConnectionPoolErrorHandler

Direct Known Subclasses:
  LoadBalancingProxyClient.Host

Enclosing interface:
  ConnectionPoolErrorHandler

    public static class ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler
    extends Object
    implements ConnectionPoolErrorHandler

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.undertow.server.handlers.proxy.ConnectionPoolErrorHandler

`ConnectionPoolErrorHandler.CountingErrorHandler, ConnectionPoolErrorHandler.SimpleConnectionPoolErrorHandler`

### Constructor Summary

Constructors
Constructor and Description
`SimpleConnectionPoolErrorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `clearError()` Clear the connection errors.
`boolean` `handleError()` Handle a connection error.
`boolean` `isAvailable()` Check whether pool is available

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleConnectionPoolErrorHandler

    public SimpleConnectionPoolErrorHandler()

### Method Detail

#### isAvailable

    public boolean isAvailable()

Description copied from interface: `ConnectionPoolErrorHandler`
Check whether pool is available

Specified by:
  `isAvailable` in interface `ConnectionPoolErrorHandler`
Returns:
  whether the pool is available

#### handleError

    public boolean handleError()

Description copied from interface: `ConnectionPoolErrorHandler`
Handle a connection error.

Specified by:
  `handleError` in interface `ConnectionPoolErrorHandler`
Returns:
  `true` if the pool is still available, `false` otherwise

#### clearError

    public boolean clearError()

Description copied from interface: `ConnectionPoolErrorHandler`
Clear the connection errors.

Specified by:
  `clearError` in interface `ConnectionPoolErrorHandler`
Returns:
  `true` if the pool is available again, `false` otherwise